Debian Bug report logs - #501574
warsow: crashes at startup on systems with mesa DRI < 7.2-1

version graph

Package: libgl1-mesa-dri; Maintainer for libgl1-mesa-dri is Debian X Strike Force <debian-x@lists.debian.org>; Source for libgl1-mesa-dri is src:mesa.

Reported by: 01 <f111110101011@gmail.com>

Date: Wed, 8 Oct 2008 15:09:02 UTC

Severity: important

Fixed in version 7.3~rc3-1

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Forwarded to solomonk@warsow.net, nip@warsow.net, etr@warsow.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Wed, 08 Oct 2008 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 01 <f111110101011@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 08 Oct 2008 15:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: 01 <f111110101011@gmail.com>
To: submit@bugs.debian.org
Subject: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Wed, 08 Oct 2008 17:02:40 +0200
Package: warsow
Version: 0.42.dfsg1-1
Severity: grave

Hello,

I just installed Warsow (never tried it before from synaptic), ran it, 
it resized my screen then shut down.

Here is the output from a terminal :

$ warsow
Added pk3 file /usr/share/games/warsow/basewsw/billboard.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/data0.pk3 (749 files)
Added pk3 file /usr/share/games/warsow/basewsw/data0_pure.pk3 (893 files)
Added pk3 file /usr/share/games/warsow/basewsw/data1.pk3 (121 files)
Added pk3 file /usr/share/games/warsow/basewsw/data1_pure.pk3 (28 files)
Added pk3 file /usr/share/games/warsow/basewsw/editortextures.pk3 (17 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wamphi.pk3 (26 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wca1.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wca2.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wca4.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wctf1.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wctf2.pk3 (13 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wctf3.pk3 (4 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wctf5.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda1.pk3 (23 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda2.pk3 (8 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda3.pk3 (31 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda4.pk3 (13 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda5.pk3 (22 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda6.pk3 (21 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm1.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm10.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm10a.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm11.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm14.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm15.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm17.pk3 (9 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm19.pk3 (25 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm2.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm3.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm4.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm5.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm6.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm7.pk3 (45 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm8.pk3 (70 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm9.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wtest13.pk3 (66 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wtest18.pk3 (11 files)
Added pk3 file /usr/share/games/warsow/basewsw/modules_04.pk3 (15 files)
Added pk3 file /usr/share/games/warsow/basewsw/modules_041.pk3 (15 files)
Added pk3 file /usr/share/games/warsow/basewsw/modules_042.pk3 (15 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_blx_pure.pk3 (320 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_blxbis_pure.pk3 (80 
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_chaoswsw_pure.pk3 (76 
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_ecel_pure.pk3 (109 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_exwsw_pure.pk3 (139 
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_factory_pure.pk3 (56 
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_hazelh_pure.pk3 (89 
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_hexagons_pure.pk3 (26 
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_refly_pure.pk3 (8 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_russus_pure.pk3 (16 
files)
Added pk3 file 
/usr/share/games/warsow/basewsw/tex_supersymmetry_ctf_pure.pk3 (8 files)
Added pk3 file 
/usr/share/games/warsow/basewsw/tex_supersymmetry_pure.pk3 (9 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_terrain_pure.pk3 (6 
files)
Using /home/fab/.warsow for writing
Executing: default.cfg
Couldn't execute: config.cfg
Couldn't execute: autoexec.cfg
fs_basepath is write protected.
fs_usehomedir is write protected.
Hostname: localhost
Alias: debian1525
Alias: debian1525
IP: 127.0.0.1
IP: 127.0.1.1
Game running at 62 fps. Server transmit at 20 pps
Console initialized.
------- sound initialization -------
Loading sound module: qf
SDL Audio driver initializing...
Calling SDL_Init(SDL_INIT_AUDIO)...
SDL_Init(SDL_INIT_AUDIO) passed.
SDL audio driver is "alsa"
Format we requested from SDL audio device:
Format: AUDIO_S16LSB
Freq: 44100
Samples: 940
Channels: 2

Format we actually got:
Format: AUDIO_S16LSB
Freq: 44100
Samples: 940
Channels: 2

WARNING: sdlmixsamps wasn't a power of two (7520), so we made it one (4096).
Starting SDL audio callback...
SDL audio initialized.
Sound sampling rate: 44100
Initialization of qf succesful
------------------------------------

----- R_Init -----
Using libGL.so.1 for OpenGL...Display initialization
..XFree86-VidMode Extension Version 2.2
..XFree86-Xinerama Extension Version 1.1
..Got colorbits 24, depthbits 24, stencilbits 8
800x600 -> 1440x900: 300
800x600 -> 1280x800: 200
800x600 -> 1280x768: 168
800x600 -> 1024x768: 168
800x600 -> 800x600: 0
800x600 selected
...setting fullscreen mode 4:

GL_VENDOR: Tungsten Graphics, Inc
GL_RENDERER: Mesa DRI Intel(R) 965GM 4.1.3002 x86/MMX/SSE2
GL_VERSION: 1.4 Mesa 7.0.4
GL_EXTENSIONS: GL_ARB_depth_texture GL_ARB_draw_buffers 
GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_imaging 
GL_ARB_multisample GL_ARB_multitexture GL_ARB_point_parameters 
GL_ARB_point_sprite GL_ARB_shader_objects GL_ARB_shading_language_100 
GL_ARB_shading_language_120 GL_ARB_shadow GL_ARB_texture_border_clamp 
GL_ARB_texture_compression GL_ARB_texture_cube_map 
GL_ARB_texture_env_add GL_ARB_texture_env_combine 
GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 
GL_ARB_texture_mirrored_repeat GL_ARB_texture_non_power_of_two 
GL_ARB_texture_rectangle GL_ARB_transpose_matrix 
GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader 
GL_ARB_window_pos GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color 
GL_EXT_blend_equation_separate GL_EXT_blend_func_separate 
GL_EXT_blend_logic_op GL_EXT_blend_minmax GL_EXT_blend_subtract 
GL_EXT_clip_volume_hint GL_EXT_cull_vertex GL_EXT_compiled_vertex_array 
GL_EXT_convolution GL_EXT_copy_texture GL_EXT_draw_range_elements 
GL_EXT_fog_coord GL_EXT_histogram GL_EXT_multi_draw_arrays 
GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_polygon_offset 
GL_EXT_rescale_normal GL_EXT_secondary_color 
GL_EXT_separate_specular_color GL_EXT_shadow_funcs GL_EXT_stencil_wrap 
GL_EXT_subtexture GL_EXT_texture GL_EXT_texture3D 
GL_EXT_texture_edge_clamp GL_EXT_texture_env_add 
GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 
GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias 
GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_texture_sRGB 
GL_EXT_vertex_array GL_3DFX_texture_compression_FXT1 
GL_APPLE_client_storage GL_APPLE_packed_pixels 
GL_ATI_blend_equation_separate GL_ATI_separate_stencil 
GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat 
GL_INGR_blend_func_separate GL_MESA_pack_invert GL_MESA_ycbcr_texture 
GL_MESA_window_pos GL_NV_blend_square GL_NV_light_max_exponent 
GL_NV_point_sprite GL_NV_texture_rectangle GL_NV_texgen_reflection 
GL_OES_read_format GL_SGI_color_matrix GL_SGI_color_table 
GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp 
GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_SGIX_depth_texture 
GL_SUN_multi_draw_arrays
GLW_EXTENSIONS: GLX_ARB_get_proc_address GLX_ARB_multisample 
GLX_EXT_import_context GLX_EXT_visual_info GLX_EXT_visual_rating 
GLX_MESA_copy_sub_buffer GLX_MESA_swap_control GLX_MESA_swap_frame_usage 
GLX_OML_swap_method GLX_SGI_make_current_read GLX_SGI_swap_control 
GLX_SGI_video_sync GLX_SGIS_multisample GLX_SGIX_fbconfig 
GLX_SGIX_visual_select_group
GL_MAX_TEXTURE_SIZE: 2048
GL_MAX_TEXTURE_UNITS: 8
GL_MAX_CUBE_MAP_TEXTURE_SIZE: 2048
GL_MAX_3D_TEXTURE_SIZE: 256

mode: 4, fullscreen,
CDS: enabled
picmip: 0
texturemode: GL_LINEAR_MIPMAP_LINEAR
vertical sync: disabled
multitexture: enabled
compiled_vertex_array: enabled
vertex_buffer_object: disabled
texture3D: enabled
draw_range_elements: enabled
occlusion_query: disabled
texture_env_add: enabled
texture_env_combine: enabled
texture_compression: disabled
texture_edge_clamp: enabled
texture_filter_anisotropic: disabled
texture_cube_map: enabled
bgra: enabled
depth_texture: enabled
shadow: enabled
generate_mipmap: enabled
texture_non_power_of_two: enabled
vertex_shader: enabled
fragment_shader: enabled
shader_objects: enabled
shading_language_100: enabled
GLSL: enabled
GLSL_branching: enabled
GLSL_no_half_types: disabled
swap_control: enabled
----- finished R_Init -----
Unknown command "menu_main"
Opening UDP/IP socket: *:0

warsow_bin: shader/slang/slang_emit.c:978: emit_move: Assertion 
`n->Children[0]->Store->Index >= 0' failed.
********************
ERROR: Received signal 6

********************
Error: Received signal 6





Reply sent to "Andres Mejia" <mcitadel@gmail.com>:
You have marked Bug as forwarded. (Wed, 08 Oct 2008 20:21:11 GMT) Full text and rfc822 format available.

Message #8 received at 501574-forwarded@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: solomonk@warsow.net, nip@warsow.net, etr@warsow.net
Cc: 501574-forwarded@bugs.debian.org
Subject: Fwd: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Wed, 8 Oct 2008 16:18:03 -0400
Hello Warsow Team. I'm forwarding this bug to you. I'm getting the
same error on one of my machines that I own.


---------- Forwarded message ----------
From: 01 <f111110101011@gmail.com>
Date: Wed, Oct 8, 2008 at 11:02 AM
Subject: Bug#501574: warsow: crashes at startup (warsow_bin:
shader/slang/slang_emit.c:978 ...)
To: submit@bugs.debian.org


Package: warsow
Version: 0.42.dfsg1-1
Severity: grave

Hello,

I just installed Warsow (never tried it before from synaptic), ran it,
it resized my screen then shut down.

Here is the output from a terminal :

$ warsow
Added pk3 file /usr/share/games/warsow/basewsw/billboard.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/data0.pk3 (749 files)
Added pk3 file /usr/share/games/warsow/basewsw/data0_pure.pk3 (893 files)
Added pk3 file /usr/share/games/warsow/basewsw/data1.pk3 (121 files)
Added pk3 file /usr/share/games/warsow/basewsw/data1_pure.pk3 (28 files)
Added pk3 file /usr/share/games/warsow/basewsw/editortextures.pk3 (17 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wamphi.pk3 (26 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wca1.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wca2.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wca4.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wctf1.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wctf2.pk3 (13 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wctf3.pk3 (4 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wctf5.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda1.pk3 (23 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda2.pk3 (8 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda3.pk3 (31 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda4.pk3 (13 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda5.pk3 (22 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wda6.pk3 (21 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm1.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm10.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm10a.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm11.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm14.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm15.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm17.pk3 (9 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm19.pk3 (25 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm2.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm3.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm4.pk3 (14 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm5.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm6.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm7.pk3 (45 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm8.pk3 (70 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wdm9.pk3 (6 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wtest13.pk3 (66 files)
Added pk3 file /usr/share/games/warsow/basewsw/map_wtest18.pk3 (11 files)
Added pk3 file /usr/share/games/warsow/basewsw/modules_04.pk3 (15 files)
Added pk3 file /usr/share/games/warsow/basewsw/modules_041.pk3 (15 files)
Added pk3 file /usr/share/games/warsow/basewsw/modules_042.pk3 (15 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_blx_pure.pk3 (320 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_blxbis_pure.pk3 (80
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_chaoswsw_pure.pk3 (76
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_ecel_pure.pk3 (109 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_exwsw_pure.pk3 (139
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_factory_pure.pk3 (56
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_hazelh_pure.pk3 (89
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_hexagons_pure.pk3 (26
files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_refly_pure.pk3 (8 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_russus_pure.pk3 (16
files)
Added pk3 file
/usr/share/games/warsow/basewsw/tex_supersymmetry_ctf_pure.pk3 (8 files)
Added pk3 file
/usr/share/games/warsow/basewsw/tex_supersymmetry_pure.pk3 (9 files)
Added pk3 file /usr/share/games/warsow/basewsw/tex_terrain_pure.pk3 (6
files)
Using /home/fab/.warsow for writing
Executing: default.cfg
Couldn't execute: config.cfg
Couldn't execute: autoexec.cfg
fs_basepath is write protected.
fs_usehomedir is write protected.
Hostname: localhost
Alias: debian1525
Alias: debian1525
IP: 127.0.0.1
IP: 127.0.1.1
Game running at 62 fps. Server transmit at 20 pps
Console initialized.
------- sound initialization -------
Loading sound module: qf
SDL Audio driver initializing...
Calling SDL_Init(SDL_INIT_AUDIO)...
SDL_Init(SDL_INIT_AUDIO) passed.
SDL audio driver is "alsa"
Format we requested from SDL audio device:
Format: AUDIO_S16LSB
Freq: 44100
Samples: 940
Channels: 2

Format we actually got:
Format: AUDIO_S16LSB
Freq: 44100
Samples: 940
Channels: 2

WARNING: sdlmixsamps wasn't a power of two (7520), so we made it one (4096).
Starting SDL audio callback...
SDL audio initialized.
Sound sampling rate: 44100
Initialization of qf succesful
------------------------------------

----- R_Init -----
Using libGL.so.1 for OpenGL...Display initialization
..XFree86-VidMode Extension Version 2.2
..XFree86-Xinerama Extension Version 1.1
..Got colorbits 24, depthbits 24, stencilbits 8
800x600 -> 1440x900: 300
800x600 -> 1280x800: 200
800x600 -> 1280x768: 168
800x600 -> 1024x768: 168
800x600 -> 800x600: 0
800x600 selected
...setting fullscreen mode 4:

GL_VENDOR: Tungsten Graphics, Inc
GL_RENDERER: Mesa DRI Intel(R) 965GM 4.1.3002 x86/MMX/SSE2
GL_VERSION: 1.4 Mesa 7.0.4
GL_EXTENSIONS: GL_ARB_depth_texture GL_ARB_draw_buffers
GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_imaging
GL_ARB_multisample GL_ARB_multitexture GL_ARB_point_parameters
GL_ARB_point_sprite GL_ARB_shader_objects GL_ARB_shading_language_100
GL_ARB_shading_language_120 GL_ARB_shadow GL_ARB_texture_border_clamp
GL_ARB_texture_compression GL_ARB_texture_cube_map
GL_ARB_texture_env_add GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3
GL_ARB_texture_mirrored_repeat GL_ARB_texture_non_power_of_two
GL_ARB_texture_rectangle GL_ARB_transpose_matrix
GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader
GL_ARB_window_pos GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color
GL_EXT_blend_equation_separate GL_EXT_blend_func_separate
GL_EXT_blend_logic_op GL_EXT_blend_minmax GL_EXT_blend_subtract
GL_EXT_clip_volume_hint GL_EXT_cull_vertex GL_EXT_compiled_vertex_array
GL_EXT_convolution GL_EXT_copy_texture GL_EXT_draw_range_elements
GL_EXT_fog_coord GL_EXT_histogram GL_EXT_multi_draw_arrays
GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_polygon_offset
GL_EXT_rescale_normal GL_EXT_secondary_color
GL_EXT_separate_specular_color GL_EXT_shadow_funcs GL_EXT_stencil_wrap
GL_EXT_subtexture GL_EXT_texture GL_EXT_texture3D
GL_EXT_texture_edge_clamp GL_EXT_texture_env_add
GL_EXT_texture_env_combine GL_EXT_texture_env_dot3
GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias
GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_texture_sRGB
GL_EXT_vertex_array GL_3DFX_texture_compression_FXT1
GL_APPLE_client_storage GL_APPLE_packed_pixels
GL_ATI_blend_equation_separate GL_ATI_separate_stencil
GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat
GL_INGR_blend_func_separate GL_MESA_pack_invert GL_MESA_ycbcr_texture
GL_MESA_window_pos GL_NV_blend_square GL_NV_light_max_exponent
GL_NV_point_sprite GL_NV_texture_rectangle GL_NV_texgen_reflection
GL_OES_read_format GL_SGI_color_matrix GL_SGI_color_table
GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp
GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_SGIX_depth_texture
GL_SUN_multi_draw_arrays
GLW_EXTENSIONS: GLX_ARB_get_proc_address GLX_ARB_multisample
GLX_EXT_import_context GLX_EXT_visual_info GLX_EXT_visual_rating
GLX_MESA_copy_sub_buffer GLX_MESA_swap_control GLX_MESA_swap_frame_usage
GLX_OML_swap_method GLX_SGI_make_current_read GLX_SGI_swap_control
GLX_SGI_video_sync GLX_SGIS_multisample GLX_SGIX_fbconfig
GLX_SGIX_visual_select_group
GL_MAX_TEXTURE_SIZE: 2048
GL_MAX_TEXTURE_UNITS: 8
GL_MAX_CUBE_MAP_TEXTURE_SIZE: 2048
GL_MAX_3D_TEXTURE_SIZE: 256

mode: 4, fullscreen,
CDS: enabled
picmip: 0
texturemode: GL_LINEAR_MIPMAP_LINEAR
vertical sync: disabled
multitexture: enabled
compiled_vertex_array: enabled
vertex_buffer_object: disabled
texture3D: enabled
draw_range_elements: enabled
occlusion_query: disabled
texture_env_add: enabled
texture_env_combine: enabled
texture_compression: disabled
texture_edge_clamp: enabled
texture_filter_anisotropic: disabled
texture_cube_map: enabled
bgra: enabled
depth_texture: enabled
shadow: enabled
generate_mipmap: enabled
texture_non_power_of_two: enabled
vertex_shader: enabled
fragment_shader: enabled
shader_objects: enabled
shading_language_100: enabled
GLSL: enabled
GLSL_branching: enabled
GLSL_no_half_types: disabled
swap_control: enabled
----- finished R_Init -----
Unknown command "menu_main"
Opening UDP/IP socket: *:0

warsow_bin: shader/slang/slang_emit.c:978: emit_move: Assertion
`n->Children[0]->Store->Index >= 0' failed.
********************
ERROR: Received signal 6

********************
Error: Received signal 6




_______________________________________________
Pkg-games-devel mailing list
Pkg-games-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-games-devel



-- 
Regards,
Andres Mejia




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Wed, 08 Oct 2008 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to wegwerfdings-warsow200604@yahoo.de:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 08 Oct 2008 21:00:03 GMT) Full text and rfc822 format available.

Message #13 received at 501574@bugs.debian.org (full text, mbox):

From: hangy <wegwerfdings-warsow200604@yahoo.de>
To: 501574@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Wed, 8 Oct 2008 20:57:31 +0000 (GMT)
Hi,

> warsow_bin: shader/slang/slang_emit.c:978: emit_move:
> Assertion 
> `n->Children[0]->Store->Index >= 0' failed.

according to our coders, this assertion indicates a driver bug. Was the Mesa OpenGL driver updated recently? It might be a good idea to contact one of their maintainers/coders.

Also, the Mesa driver probably does not give you the best OpenGL performance for your system. If there are any (possibly proprietary) drivers available for your system (ie. ATI or NVIDIA GPU), try these.

-hangy








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Wed, 08 Oct 2008 22:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 08 Oct 2008 22:51:02 GMT) Full text and rfc822 format available.

Message #18 received at 501574@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: mesa@packages.qa.debian.org
Cc: wegwerfdings-warsow200604@yahoo.de, 501574@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Wed, 8 Oct 2008 18:47:29 -0400
[Message part 1 (text/plain, inline)]
Hello Debian X Strike Force. There's a bug in warsow that according to the 
Warsow developers, is due to a buggy driver.

I can reproduce this bug with a machine using a mesa driver, but on a machine 
with the proprietary nvidia drivers, I can't reproduce this bug.

On Wednesday 08 October 2008 04:57:31 pm hangy wrote:
> Hi,
>
> > warsow_bin: shader/slang/slang_emit.c:978: emit_move:
> > Assertion
> > `n->Children[0]->Store->Index >= 0' failed.
>
> according to our coders, this assertion indicates a driver bug. Was the
> Mesa OpenGL driver updated recently? It might be a good idea to contact one
> of their maintainers/coders.
>
> Also, the Mesa driver probably does not give you the best OpenGL
> performance for your system. If there are any (possibly proprietary)
> drivers available for your system (ie. ATI or NVIDIA GPU), try these.
>
> -hangy


-- 
Regards,
Andres
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Thu, 09 Oct 2008 21:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 09 Oct 2008 21:30:02 GMT) Full text and rfc822 format available.

Message #23 received at 501574@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: mesa@packages.debian.org
Cc: wegwerfdings-warsow200604@yahoo.de, 501574@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Thu, 9 Oct 2008 17:26:11 -0400
[Message part 1 (text/plain, inline)]
Hello Debian X Strike Force. There's a bug in warsow that according to the 
Warsow developers, is due to a buggy driver.

I can reproduce this bug with a machine using a mesa driver, but on a machine 
with the proprietary nvidia drivers, I can't reproduce this bug.

On Wednesday 08 October 2008 04:57:31 pm hangy wrote:
> Hi,
>
> > warsow_bin: shader/slang/slang_emit.c:978: emit_move:
> > Assertion
> > `n->Children[0]->Store->Index >= 0' failed.
>
> according to our coders, this assertion indicates a driver bug. Was the
> Mesa OpenGL driver updated recently? It might be a good idea to contact one
> of their maintainers/coders.
>
> Also, the Mesa driver probably does not give you the best OpenGL
> performance for your system. If there are any (possibly proprietary)
> drivers available for your system (ie. ATI or NVIDIA GPU), try these.
>
> -hangy


-- 
Regards,
Andres
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Fri, 10 Oct 2008 07:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 07:33:07 GMT) Full text and rfc822 format available.

Message #28 received at 501574@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Andres Mejia <mcitadel@gmail.com>, 501574-submitter@bugs.debian.org
Cc: mesa@packages.debian.org, wegwerfdings-warsow200604@yahoo.de, 501574@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Fri, 10 Oct 2008 09:29:38 +0200
On Thu, 2008-10-09 at 17:26 -0400, Andres Mejia wrote:
> Hello Debian X Strike Force. There's a bug in warsow that according to the 
> Warsow developers, is due to a buggy driver.
> 
> I can reproduce this bug with a machine using a mesa driver, but on a machine 
> with the proprietary nvidia drivers, I can't reproduce this bug.

Does it still happen with libgl1-mesa-dri 7.2-1 from experimental? If
so, it would be good to make sure this is reported in upstream bugzilla
(preferably after first confirming it isn't fixed in upstream Git
either).

Maybe it's possible to somehow make warsow not try to use any GLSL
functionality as a workaround?


-- 
Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer




Message sent on to 01 <f111110101011@gmail.com>:
Bug#501574. (Fri, 10 Oct 2008 07:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Fri, 10 Oct 2008 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to wegwerfdings-warsow200604@yahoo.de:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 10:27:05 GMT) Full text and rfc822 format available.

Message #36 received at 501574@bugs.debian.org (full text, mbox):

From: hangy <wegwerfdings-warsow200604@yahoo.de>
To: mesa@packages.debian.org, 501574@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Fri, 10 Oct 2008 10:22:30 +0000 (GMT)
--- Michel Dänzer <daenzer@debian.org> schrieb am Fr, 10.10.2008:

> Does it still happen with libgl1-mesa-dri 7.2-1 from
> experimental? If so, it would be good to make sure this
> is reported in upstream bugzilla (preferably after first
> confirming it isn't fixed in upstream Git either).

I got word from Torben Hohn who said this bug does not happen
with latest mesa git (which he follows quite closely)
or with 7.2 any more. So this particular GLSL bug seems to
be fixed in upstream already.

> Maybe it's possible to somehow make warsow not try to
> use any GLSL functionality as a workaround?

A user could simply disable GLSL completely in config.cfg:
seta gl_ext_GLSL "1"

-hangy








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Fri, 10 Oct 2008 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to wegwerfdings-warsow200604@yahoo.de:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 12:42:03 GMT) Full text and rfc822 format available.

Message #41 received at 501574@bugs.debian.org (full text, mbox):

From: hangy <wegwerfdings-warsow200604@yahoo.de>
To: mesa@packages.debian.org, 501574@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Fri, 10 Oct 2008 12:36:36 +0000 (GMT)
--- hangy <wegwerfdings-warsow200604@yahoo.de> schrieb am Fr, 10.10.2008:

> A user could simply disable GLSL completely in config.cfg:
> seta gl_ext_GLSL "1"

Sorry, setting it to "1" obviously enables GLSL functionality,
setting it to "0" disables it.

-hangy







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Fri, 10 Oct 2008 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 01 <f111110101011@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 16:12:03 GMT) Full text and rfc822 format available.

Message #46 received at 501574@bugs.debian.org (full text, mbox):

From: 01 <f111110101011@gmail.com>
To: 501574@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Fri, 10 Oct 2008 18:09:32 +0200
Yup, starting the game with...

warsow +seta gl_ext_GLSL 0

...helped.

I'm using Intel drivers (chipset: GMA 965).

I'm using Lenny packages, I gave libgl1-mesa-dri in experimental a try, 
warsow did start (with gl_ext_GLSL set to 1) but I experienced much 
instability with any 3D app and Xorg crashed ;-)

Thanks for the tips.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Fri, 10 Oct 2008 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 17:39:03 GMT) Full text and rfc822 format available.

Message #51 received at 501574@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: 01 <f111110101011@gmail.com>, 501574@bugs.debian.org, wegwerfdings-warsow200604@yahoo.de
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Fri, 10 Oct 2008 13:37:33 -0400
[Message part 1 (text/plain, inline)]
Here's a new warsow script that could help, but it will disable GLSL
regardless of what driver is being used. What could we use to tell if
we're using the proprietary ATI or Nvidia drivers?

On Fri, Oct 10, 2008 at 12:09 PM, 01 <f111110101011@gmail.com> wrote:
> Yup, starting the game with...
>
> warsow +seta gl_ext_GLSL 0
>
> ...helped.
>
> I'm using Intel drivers (chipset: GMA 965).
>
> I'm using Lenny packages, I gave libgl1-mesa-dri in experimental a try,
> warsow did start (with gl_ext_GLSL set to 1) but I experienced much
> instability with any 3D app and Xorg crashed ;-)
>
> Thanks for the tips.
>
>
>
> _______________________________________________
> Pkg-games-devel mailing list
> Pkg-games-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-games-devel
>



-- 
Regards,
Andres Mejia
[warsow (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Thu, 16 Oct 2008 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drink <drinkmilk007@yahoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 16 Oct 2008 17:12:03 GMT) Full text and rfc822 format available.

Message #56 received at 501574@bugs.debian.org (full text, mbox):

From: Drink <drinkmilk007@yahoo.fr>
To: mcitadel@gmail.com, 501574@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Thu, 16 Oct 2008 17:11:05 +0000 (GMT)
For what it's worth, a "quick and dirty" command that would tell if  there are any nvidia or ati module loaded: 

lsmod | egrep -cw "fglrx|nvidia"

That would work on some configurations but I don't know if that would be the case on most or all systems.

HTH








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Sat, 25 Oct 2008 14:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 25 Oct 2008 14:21:02 GMT) Full text and rfc822 format available.

Message #61 received at 501574@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: 501574@bugs.debian.org
Cc: control@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: changing bug severity
Date: Sat, 25 Oct 2008 16:17:51 +0200
[Message part 1 (text/plain, inline)]
severity 501574 important
retitle 501574 warsow: crashes at startup on systems with mesa DRI < 7.2-1
thanks

hi there,

i am changing the severity of this bug to "important", due to the following
rationale:

- no dataloss, security hole, etc, just a crashing program which makes a
  mostly useless package.
- it only affects a subset of machines (those using mesa dri)
- a workaround exists for the affected machines.

also, should this perhaps be reassigned to libgl1-mesa-dri?


best regards,
	sean
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `grave' Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Sat, 25 Oct 2008 14:21:03 GMT) Full text and rfc822 format available.

Changed Bug title to `warsow: crashes at startup on systems with mesa DRI < 7.2-1' from `warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)'. Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Sat, 25 Oct 2008 14:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#501574; Package warsow. (Sat, 01 Nov 2008 22:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 01 Nov 2008 22:42:03 GMT) Full text and rfc822 format available.

Message #70 received at 501574@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 501574@bugs.debian.org, control@bugs.debian.org, 501574-submitter@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup on systems with mesa DRI < 7.2-1
Date: Sat, 1 Nov 2008 18:40:20 -0400
[Message part 1 (text/plain, inline)]
reassign 501574 libgl1-mesa-dri
thanks

Yes we should as it affects mesa < 7.2-1.

On Saturday 25 October 2008 10:17:51 am sean finney wrote:
> severity 501574 important
> retitle 501574 warsow: crashes at startup on systems with mesa DRI < 7.2-1
> thanks
>
> hi there,
>
> i am changing the severity of this bug to "important", due to the following
> rationale:
>
> - no dataloss, security hole, etc, just a crashing program which makes a
>   mostly useless package.
> - it only affects a subset of machines (those using mesa dri)
> - a workaround exists for the affected machines.
>
> also, should this perhaps be reassigned to libgl1-mesa-dri?
>
>
> best regards,
> 	sean



-- 
Regards,
Andres
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `warsow' to `libgl1-mesa-dri'. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sat, 01 Nov 2008 22:42:04 GMT) Full text and rfc822 format available.

Message sent on to 01 <f111110101011@gmail.com>:
Bug#501574. (Sat, 01 Nov 2008 22:42:06 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sat, 01 Nov 2008 22:48:05 GMT) Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 04 Nov 2008 00:00:10 GMT) Full text and rfc822 format available.

Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. (Sat, 24 Jan 2009 23:36:04 GMT) Full text and rfc822 format available.

Notification sent to 01 <f111110101011@gmail.com>:
Bug acknowledged by developer. (Sat, 24 Jan 2009 23:36:04 GMT) Full text and rfc822 format available.

Message #84 received at 501574-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: wegwerfdings-warsow200604@yahoo.de
Cc: 501574-done@bugs.debian.org
Subject: Re: Bug#501574: warsow: crashes at startup (warsow_bin: shader/slang/slang_emit.c:978 ...)
Date: Sun, 25 Jan 2009 00:34:32 +0100
Version: 7.3~rc3-1


hangy wrote:
> --- Michel Dänzer <daenzer@debian.org> schrieb am Fr, 10.10.2008:
>
>   
>> Does it still happen with libgl1-mesa-dri 7.2-1 from
>> experimental? If so, it would be good to make sure this
>> is reported in upstream bugzilla (preferably after first
>> confirming it isn't fixed in upstream Git either).
>>     
>
> I got word from Torben Hohn who said this bug does not happen
> with latest mesa git (which he follows quite closely)
> or with 7.2 any more. So this particular GLSL bug seems to
> be fixed in upstream already.
>   


I am marking as fixed in the mesa currently in experimental (7.3-rc3)
since it contains the aforementioned mesa git. If you can reproduce the
bug there, please reopen.

Brice





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Sep 2009 07:43:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:06:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.